import logging

from jbtutils_selenium.drivers.edge import find_elements_by_xpath, find_elements_by_name, find_elements_by_class_name, find_elements_by_css_selector, find_elements_by_link_text, find_elements_by_partial_link_text, find_elements_by_tag_name


def find_elements(val, by='xpath'):
    logging.debug(f'Looking for all elements by {by} = {val}')

    if      by == 'xpath':          return find_elements_by_xpath(val)
    elif    by == 'name':           return find_elements_by_name(val)
    elif    by == 'class':          return find_elements_by_class_name(val)
    elif    by == 'css selector':   return find_elements_by_css_selector(val)
    elif    by == 'text':           return find_elements_by_link_text(val)
    elif    by == 'partial text':   return find_elements_by_partial_link_text(val)
    elif    by == 'tag':            return find_elements_by_tag_name(val)
    