import logging

from jbtutils_selenium.drivers.edge import get_window, switch_to_window, get_windows
from jbtutils_selenium.elements.wait import wait_for_new_window

def switch_to_new_window(current_window, index=1, wait_secs=10):
    logging.debug(f'Switching to window with index {index}')
    wait_for_new_window(index+1, wait_secs=wait_secs)
    windows = get_windows()
    for window in windows:
        if window != current_window:
            switch_to_window(window)
            return window
